import type { ObjectId } from "mongodb";

export default interface AccessToken {
    _id?: ObjectId;
    type: "A" | "X";
    user: ObjectId | null;
    entropy: string;
    createdAt: Date;
    expiresAt: Date | null;
    createdFrom: null | 'loginForm';
}