import type { ObjectId } from "mongodb";
import type Building from "./Building";
import type DBResource from "./DBResource";

export default interface User {
    _id: ObjectId;
    username: string;
    email: string;
    password: string;
    lastLogin: Date;
    resources: Array<DBResource>;
    buildings: Array<Building>;
    createdAt: Date;
    updatedAt: Date;
}